foreach_arg Struct Reference

## Data Fields

int | argc
VALUE * | argv
VALUE | io

## Detailed Description

Definition at line 8441 of file io.c.

## Field Documentation

int foreach_arg::argc

Definition at line 8442 of file io.c.

Referenced by io_s_foreach(), io_s_read(), io_s_readlines(), open_key_args(), rb_io_s_binread(), and rb_io_s_read().

VALUE* foreach_arg::argv

Definition at line 8443 of file io.c.

Referenced by io_s_foreach(), io_s_read(), io_s_readlines(), open_key_args(), and rb_io_s_binread().

VALUE foreach_arg::io

Definition at line 8444 of file io.c.

Referenced by io_s_foreach(), io_s_read(), io_s_readlines(), io_s_write(), open_key_args(), rb_io_s_binread(), rb_io_s_foreach(), rb_io_s_read(), and rb_io_s_readlines().

The documentation for this struct was generated from the following file:

- io.c